<?php  
if($_POST){

$nombre=$_POST['nombre'];
$apellido=$_POST['apellido'];
$telefono=$_POST['telefono'];
$telefono_modificar=$_POST['telefonoModificar'];
$nombre_modificar=$_POST['nombreModificar'];
$servidor="localhost";
$usuario="root";
$password="123";
$database="ejemplomysql";

$conexion=mysqli_connect($servidor,$usuario,$password,$database) or die("Error en la conexion");
$sentencia="UPDATE DATOS SET nombre='".$nombre."', apellido='".$apellido."', telefono='".$telefono."' where telefono='".$telefono_modificar."' and nombre='".$nombre_modificar."';";
mysqli_query($conexion,$sentencia);
mysqli_close($conexion);
echo "Muy Bien Luis";
}else if($_GET){
    $nombre=$_GET['nombre'];
$apellido=$_GET['apellido'];
$telefono=$_GET['telefono'];
$telefono_modificar=$_GET['telefonoModificar'];
$nombre_modificar=$_GET['nombreModificar'];
$servidor="localhost";
$usuario="root";
$password="123";
$database="ejemplomysql";

$conexion=mysqli_connect($servidor,$usuario,$password,$database) or die("Error en la conexion");
$sentencia="UPDATE DATOS SET nombre='".$nombre."', apellido='".$apellido."', telefono='".$telefono."' where telefono='".$telefono_modificar."' and nombre='".$nombre_modificarModifcar."';";
mysqli_query($conexion,$sentencia);
mysqli_close($conexion);
}